Debian Bug report logs - #653011
gnome-keyring can't connect to pkcs11 file

version graph

Package: gnome-keyring; Maintainer for gnome-keyring is Josselin Mouette <joss@debian.org>; Source for gnome-keyring is src:gnome-keyring.

Reported by: Luis Mochan <wlmochan@gmail.com>

Date: Thu, 22 Dec 2011 19:09:12 UTC

Severity: normal

Merged with 654854, 659036, 679040

Found in versions gnome-keyring/3.2.2-1, gnome-keyring/3.2.2-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wlmochan@gmail.com, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 19:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Mochan <wlmochan@gmail.com>:
New Bug report received and forwarded. Copy sent to wlmochan@gmail.com, Josselin Mouette <joss@debian.org>. (Thu, 22 Dec 2011 19:09:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luis Mochan <wlmochan@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 13:00:28 -0600
Package: gnome-keyring
Version: 3.2.2-1
Severity: normal

Dear Maintainer,
I recently full-upgraded my Debian/testing system. Among the major changes, I
got gnome3, found some bugs (that I hadn't reported) and decided to try out
xfce and xfce-goodies. After installing and choosing xfce I get this message
when I connect
using mutt to my imap server:

   Connecting to ...WARNING: gnome-keyring:: couldn't connect to:
/tmp/keyring-...../pkcs11: No such file or directory.

I got the same message from other programs, but I don't recall which. For
example, ssh doesn't produce this message, but my passphrase is not
automatically captured anymore; I have to ssh-add manually.

I checked that the file pkcs11 doesn't exist, but gnome-keyring  seems to be
working. The output of  ps aux | grep keyring is

mochan@fmunu:~$ ps aux | grep keyring
mochan    2442  0.0  0.0   9340  1340 ?        S    Dec20   0:00 /usr/bin
/gnome-keyring-daemon --start --foreground --components=secrets
mochan    3588  0.0  0.0   9340  1340 ?        S    Dec20   0:00 /usr/bin
/gnome-keyring-daemon --start --foreground --components=secrets
mochan    4860  0.0  0.0   4040   804 pts/0    S+   12:54   0:00 grep keyring
mochan    5187  0.0  0.0   9340  1340 ?        S    Dec20   0:00 /usr/bin
/gnome-keyring-daemon --start --foreground --components=secrets
mochan   20925  0.0  0.1  44004  3716 ?        SLl  12:11   0:00 /usr/bin
/gnome-keyring-daemon --daemonize --login
mochan   21121  0.0  0.0   9340  1716 ?        S    12:11   0:00
/usr/bin/gnome-keyring-daemon --start --foreground --components=secrets

I don't know if this is problematic; it is somewhat annoying.

Best regards,
Luis Mochan



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-keyring depends on:
ii  dbus-x11                                     1.4.16-1
ii  dconf-gsettings-backend [gsettings-backend]  0.10.0-3
ii  libc6                                        2.13-21
ii  libcap-ng0                                   0.6.6-1
ii  libcap2-bin                                  1:2.22-1
ii  libdbus-1-3                                  1.4.16-1
ii  libgck-1-0                                   3.2.2-1
ii  libgcr-3-1                                   3.2.2-1
ii  libgcrypt11                                  1.5.0-3
ii  libglib2.0-0                                 2.30.2-4
ii  libgtk-3-0                                   3.2.2-3

Versions of packages gnome-keyring recommends:
ii  libpam-gnome-keyring  3.2.2-1

gnome-keyring suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 22 Dec 2011 20:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 653011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Luis Mochan <wlmochan@gmail.com>, 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 21:02:30 +0100
[Message part 1 (text/plain, inline)]
On 22.12.2011 20:00, Luis Mochan wrote:
> Package: gnome-keyring
> Version: 3.2.2-1
> Severity: normal
> 
> Dear Maintainer,
> I recently full-upgraded my Debian/testing system. Among the major changes, I
> got gnome3, found some bugs (that I hadn't reported) and decided to try out
> xfce and xfce-goodies. After installing and choosing xfce I get this message

Ok, you're runnig XFCE

> 
>    Connecting to ...WARNING: gnome-keyring:: couldn't connect to:
> /tmp/keyring-...../pkcs11: No such file or directory.
> 
> I got the same message from other programs, but I don't recall which. For
> example, ssh doesn't produce this message, but my passphrase is not
> automatically captured anymore; I have to ssh-add manually.
> 
> I checked that the file pkcs11 doesn't exist, but gnome-keyring  seems to be
> working. The output of  ps aux | grep keyring is

See /etc/xdg/autostart/gnome-keyring-*.desktop
They all have
OnlyShowIn=GNOME;Unity;

So the different components (gpg, pkcs11, ssh, secrets) are not started
for you.

Instead you get a dbus activated gnome-keyring instance whenever a
program tries to access the keyring service.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 22 Dec 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 653011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 653011@bugs.debian.org, 653011-submitter@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 21:17:02 +0100
[Message part 1 (text/plain, inline)]
On 22.12.2011 21:02, Michael Biebl wrote:
> On 22.12.2011 20:00, Luis Mochan wrote:
>> Package: gnome-keyring
>> Version: 3.2.2-1
>> Severity: normal
>>
>> Dear Maintainer,
>> I recently full-upgraded my Debian/testing system. Among the major changes, I
>> got gnome3, found some bugs (that I hadn't reported) and decided to try out
>> xfce and xfce-goodies. After installing and choosing xfce I get this message
> 
> Ok, you're runnig XFCE
> 
>>
>>    Connecting to ...WARNING: gnome-keyring:: couldn't connect to:
>> /tmp/keyring-...../pkcs11: No such file or directory.
>>
>> I got the same message from other programs, but I don't recall which. For
>> example, ssh doesn't produce this message, but my passphrase is not
>> automatically captured anymore; I have to ssh-add manually.
>>
>> I checked that the file pkcs11 doesn't exist, but gnome-keyring  seems to be
>> working. The output of  ps aux | grep keyring is
> 
> See /etc/xdg/autostart/gnome-keyring-*.desktop
> They all have
> OnlyShowIn=GNOME;Unity;
> 
> So the different components (gpg, pkcs11, ssh, secrets) are not started
> for you.
> 
> Instead you get a dbus activated gnome-keyring instance whenever a
> program tries to access the keyring service.

I'm not sure if XFCE is supposed to provide its own keyring implementation.

Bringing the Debian XFCE maintainer into the loop.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Luis Mochan <wlmochan@gmail.com>:
Bug#653011. (Thu, 22 Dec 2011 20:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Mochan <wlmochan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 22 Dec 2011 21:03:05 GMT) Full text and rfc822 format available.

Message #23 received at 653011@bugs.debian.org (full text, mbox):

From: Luis Mochan <wlmochan@gmail.com>
To: Michael Biebl <biebl@debian.org>, 653011-quiet@bugs.debian.org
Cc: Yves-Alexis Perez <corsac@debian.org>, 653011@bugs.debian.org, 653011-submitter@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 15:00:03 -0600
[Message part 1 (text/plain, inline)]
>
> > See /etc/xdg/autostart/gnome-keyring-*.desktop
> > They all have
> > OnlyShowIn=GNOME;Unity;
>
Indeed (though I don't know what it means)

> > So the different components (gpg, pkcs11, ssh, secrets) are not started
> > for you.
> >
> > Instead you get a dbus activated gnome-keyring instance whenever a
> > program tries to access the keyring service.
>
> I'm not sure if XFCE is supposed to provide its own keyring implementation.
>
> Bringing the Debian XFCE maintainer into the loop.
>
> Thanks!

-- 
WLM
[Message part 2 (text/html, inline)]

Information stored :
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 21:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Mochan <wlmochan@gmail.com>:
Extra info received and filed, but not forwarded. (Thu, 22 Dec 2011 21:03:09 GMT) Full text and rfc822 format available.

Message sent on to Luis Mochan <wlmochan@gmail.com>:
Bug#653011. (Thu, 22 Dec 2011 21:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 21:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 22 Dec 2011 21:06:08 GMT) Full text and rfc822 format available.

Message #36 received at 653011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Luis Mochan <wlmochan@gmail.com>
Cc: 653011@bugs.debian.org, 653011-submitter@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 22:02:33 +0100
[Message part 1 (text/plain, inline)]
On 22.12.2011 22:00, Luis Mochan wrote:
>>
>>> See /etc/xdg/autostart/gnome-keyring-*.desktop
>>> They all have
>>> OnlyShowIn=GNOME;Unity;
>>
> Indeed (though I don't know what it means)
> 

It means those services are only autostarted during session login, when
you run GNOME or Unity.

You might try adding a XFCE; there (or removing that line) and see if
that fixes your problem after a relogin.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 21:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 22 Dec 2011 21:06:17 GMT) Full text and rfc822 format available.

Message #41 received at 653011@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 653011@bugs.debian.org, 653011-submitter@bugs.debian.org, pkg-xfce-devel@lists.alioth.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 22:03:06 +0100
[Message part 1 (text/plain, inline)]
On jeu., 2011-12-22 at 21:17 +0100, Michael Biebl wrote:
> On 22.12.2011 21:02, Michael Biebl wrote:
> > On 22.12.2011 20:00, Luis Mochan wrote:
> >> Package: gnome-keyring
> >> Version: 3.2.2-1
> >> Severity: normal
> >>
> >> Dear Maintainer,
> >> I recently full-upgraded my Debian/testing system. Among the major changes, I
> >> got gnome3, found some bugs (that I hadn't reported) and decided to try out
> >> xfce and xfce-goodies. After installing and choosing xfce I get this message
> > 
> > Ok, you're runnig XFCE
> > 
> >>
> >>    Connecting to ...WARNING: gnome-keyring:: couldn't connect to:
> >> /tmp/keyring-...../pkcs11: No such file or directory.
> >>
> >> I got the same message from other programs, but I don't recall which. For
> >> example, ssh doesn't produce this message, but my passphrase is not
> >> automatically captured anymore; I have to ssh-add manually.
> >>
> >> I checked that the file pkcs11 doesn't exist, but gnome-keyring  seems to be
> >> working. The output of  ps aux | grep keyring is
> > 
> > See /etc/xdg/autostart/gnome-keyring-*.desktop
> > They all have
> > OnlyShowIn=GNOME;Unity;
> > 
> > So the different components (gpg, pkcs11, ssh, secrets) are not started
> > for you.
> > 
> > Instead you get a dbus activated gnome-keyring instance whenever a
> > program tries to access the keyring service.
> 
> I'm not sure if XFCE is supposed to provide its own keyring implementation.
> 
> Bringing the Debian XFCE maintainer into the loop.
> 
> 

Please put pkg-xfce-devel@lists.alioth.debian.org instead :) I won't be
able to reply right now, hope other team member will have.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Message sent on to Luis Mochan <wlmochan@gmail.com>:
Bug#653011. (Thu, 22 Dec 2011 21:07:13 GMT) Full text and rfc822 format available.

Message sent on to Luis Mochan <wlmochan@gmail.com>:
Bug#653011. (Thu, 22 Dec 2011 21:07:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 22 Dec 2011 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 22 Dec 2011 21:51:03 GMT) Full text and rfc822 format available.

Message #52 received at 653011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 22:48:57 +0100
[Message part 1 (text/plain, inline)]
On 22.12.2011 21:02, Michael Biebl wrote:
> 
> Ok, you're runnig XFCE
> 
> See /etc/xdg/autostart/gnome-keyring-*.desktop
> They all have
> OnlyShowIn=GNOME;Unity;
> 
> So the different components (gpg, pkcs11, ssh, secrets) are not started
> for you.
> 

https://bugzilla.gnome.org/show_bug.cgi?id=660240


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Fri, 23 Dec 2011 01:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Fri, 23 Dec 2011 01:57:05 GMT) Full text and rfc822 format available.

Message #57 received at 653011@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Michael Biebl <biebl@debian.org>, 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Fri, 23 Dec 2011 02:48:44 +0100
On 2011-12-22 22:48:57 +0100, Michael Biebl wrote:
> On 22.12.2011 21:02, Michael Biebl wrote:
> > Ok, you're runnig XFCE
> > 
> > See /etc/xdg/autostart/gnome-keyring-*.desktop
> > They all have
> > OnlyShowIn=GNOME;Unity;
> > 
> > So the different components (gpg, pkcs11, ssh, secrets) are not started
> > for you.
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=660240

I get the same warning message when running bti and gnucash, but
I don't use XFCE. I don't even use any desktop environment (just
FVWM as a window manager).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Fri, 23 Dec 2011 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Mochan <wlmochan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Fri, 23 Dec 2011 03:21:16 GMT) Full text and rfc822 format available.

Message #62 received at 653011@bugs.debian.org (full text, mbox):

From: Luis Mochan <wlmochan@gmail.com>
To: Michael Biebl <biebl@debian.org>
Cc: 653011@bugs.debian.org, 653011-submitter@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 22 Dec 2011 21:15:59 -0600
[Message part 1 (text/plain, inline)]
I added XFCE to the OnlyShowIn line
in /etc/xdg/autostart/gnome-keyring-*.desktop, and the message went away,
so it seems the problem is solved. I still need to run ssh-add by hand
before I run ssh in order to avoid writing my passphrase repeatedly. I
guess this is somehow related to gnome-keyring.

On Thu, Dec 22, 2011 at 3:02 PM, Michael Biebl <biebl@debian.org> wrote:

> On 22.12.2011 22:00, Luis Mochan wrote:
> >>
> >>> See /etc/xdg/autostart/gnome-keyring-*.desktop
> >>> They all have
> >>> OnlyShowIn=GNOME;Unity;
>
>

> that fixes your problem after a relogin.
> --
>
WLM
[Message part 2 (text/html, inline)]

Message sent on to Luis Mochan <wlmochan@gmail.com>:
Bug#653011. (Fri, 23 Dec 2011 03:21:28 GMT) Full text and rfc822 format available.

Merged 653011 654854. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Tue, 10 Jan 2012 16:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Wed, 11 Jan 2012 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 11 Jan 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #72 received at 653011@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 653011@bugs.debian.org
Subject: Re: gnome-keyring can't connect to pkcs11 file
Date: Wed, 11 Jan 2012 18:03:40 +0100
Hi,

Actually this has been done upon upstream Xfce request, please see
https://bugzilla.gnome.org/show_bug.cgi?id=660240 and
https://bugzilla.novell.com/show_bug.cgi?id=710038

I'm not too sure what must be done here...

Cheers

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Wed, 11 Jan 2012 22:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 11 Jan 2012 22:54:06 GMT) Full text and rfc822 format available.

Message #77 received at 653011@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Wed, 11 Jan 2012 23:42:00 +0100
On 2012-01-11 18:03:40 +0100, Laurent Bigonville wrote:
> Actually this has been done upon upstream Xfce request, please see
> https://bugzilla.gnome.org/show_bug.cgi?id=660240 and
> https://bugzilla.novell.com/show_bug.cgi?id=710038

But what about non-XFCE/LXDE users?

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Wed, 18 Jan 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 18 Jan 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #82 received at 653011@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Laurent Bigonville <bigon@debian.org>
Cc: 653011@bugs.debian.org
Subject: Re: gnome-keyring can't connect to pkcs11 file
Date: Wed, 18 Jan 2012 16:44:00 +0100
[Message part 1 (text/plain, inline)]
On mer., 2012-01-11 at 18:03 +0100, Laurent Bigonville wrote:
> Hi,
> 
> Actually this has been done upon upstream Xfce request, please see
> https://bugzilla.gnome.org/show_bug.cgi?id=660240 and
> https://bugzilla.novell.com/show_bug.cgi?id=710038
> 
> I'm not too sure what must be done here...
> 
From where exactly in those threads did you get that feeling?
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Wed, 18 Jan 2012 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 18 Jan 2012 20:03:03 GMT) Full text and rfc822 format available.

Message #87 received at 653011@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 653011@bugs.debian.org
Subject: Re: gnome-keyring can't connect to pkcs11 file
Date: Wed, 18 Jan 2012 20:49:58 +0100
Le Wed, 18 Jan 2012 16:44:00 +0100,
Yves-Alexis Perez <corsac@debian.org> a écrit :

> On mer., 2012-01-11 at 18:03 +0100, Laurent Bigonville wrote:
> > Hi,
> > 
> > Actually this has been done upon upstream Xfce request, please see
> > https://bugzilla.gnome.org/show_bug.cgi?id=660240 and
> > https://bugzilla.novell.com/show_bug.cgi?id=710038
> > 
> > I'm not too sure what must be done here...
> > 
> From where exactly in those threads did you get that feeling?

Hi,

Well IIRC Vincent Untz told me that on IRC.

Cheers

Laurent Bigonville




Bug Marked as found in versions gnome-keyring/3.2.2-2. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 27 Jan 2012 01:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Wed, 01 Feb 2012 08:57:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Protzenko <jonathan.protzenko@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 01 Feb 2012 08:57:50 GMT) Full text and rfc822 format available.

Message #94 received at 653011@bugs.debian.org (full text, mbox):

From: Jonathan Protzenko <jonathan.protzenko@gmail.com>
To: 653011@bugs.debian.org
Subject: More information
Date: Wed, 01 Feb 2012 09:54:54 +0100
I'm running E17 and I *did* make sure that it launches 
gnome-keyring-daemon and other gnome services at startup. Indeed,

protzenk@sauternes:/opt $ ps aux |grep gnome-keyring
protzenk  8529  0.0  0.0 183708  3704 ?        Sl   09:44   0:00 
/usr/bin/gnome-keyring-daemon --daemonize --login

However, I'm still unable to print, as localhost:631 also reports 
"gnome-keyring:: no socket to connect to" in the job status. Should we 
reopen this bug or something?

Cheers,

jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Tue, 13 Mar 2012 15:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 13 Mar 2012 15:21:11 GMT) Full text and rfc822 format available.

Message #99 received at 653011@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 653011@bugs.debian.org
Subject: Status?
Date: Tue, 13 Mar 2012 16:19:58 +0100
[Message part 1 (text/plain, inline)]
So it's not completely clear what's the status on this bug.

As far as I can tell, it happens when not all keyring components are
started (for example because user is not under GNOME, with dbus-based
activation, or OnlyShowIn).

In my case, I don't use pkcs11 or ssh components (and don't want to). I
do use the “secret” components (and it's correctly started, here under
Xfce) for Evolution, but that's all.

When I run an svn up, something still think it'd be a good idea to ask
gnome-keyring, and find some way to do it, since GNOME_KEYRING_CONTROL
is defined. Though there's no chance it'll be able to contact the pkcs11
component, so it failed with the same error:

WARNING: gnome-keyring:: couldn't connect
to: /tmp/keyring-Ladxda/pkcs11: No such file or directory

Commenting:

module: gnome-keyring-pkcs11.so

in /etc/pkcs11/modules/gnome-keyring-module at least workarounds the
problem (the message disappears) but I'm not sure if it's the correct
way to do it. And if it is, I wonder if it should be made so that it's
consistent with what's currently running.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Merged 653011 654854 659036 Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 12:39:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Sun, 01 Apr 2012 01:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 01 Apr 2012 01:39:02 GMT) Full text and rfc822 format available.

Message #106 received at 653011@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Michael Biebl <biebl@debian.org>, 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Sun, 1 Apr 2012 03:37:34 +0200
On 2011-12-23 02:48:44 +0100, Vincent Lefevre wrote:
> I get the same warning message when running bti and gnucash, but
> I don't use XFCE. I don't even use any desktop environment (just
> FVWM as a window manager).

I no longer get the warning message, even with gnome-keyring 3.2.2-2,
which gave the warning message a couple of months ago.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Sun, 01 Apr 2012 01:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 01 Apr 2012 01:48:03 GMT) Full text and rfc822 format available.

Message #111 received at 653011@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Michael Biebl <biebl@debian.org>, 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Sun, 1 Apr 2012 03:44:10 +0200
On 2012-04-01 03:37:34 +0200, Vincent Lefevre wrote:
> On 2011-12-23 02:48:44 +0100, Vincent Lefevre wrote:
> > I get the same warning message when running bti and gnucash, but
> > I don't use XFCE. I don't even use any desktop environment (just
> > FVWM as a window manager).
> 
> I no longer get the warning message, even with gnome-keyring 3.2.2-2,
> which gave the warning message a couple of months ago.

Sorry, I still get the warning. I got confused with the
libgnome-keyring* packages, which can safely be upgraded.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Sat, 26 May 2012 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Bainbridge <chris.bainbridge@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 26 May 2012 15:12:03 GMT) Full text and rfc822 format available.

Message #116 received at 653011@bugs.debian.org (full text, mbox):

From: Chris Bainbridge <chris.bainbridge@gmail.com>
To: 653011@bugs.debian.org
Date: Sat, 26 May 2012 16:09:07 +0100
The solution for XFCE appears to be a patch to xfce4-session and to
enable 'GNOME compatibility mode' by default:

https://bugs.launchpad.net/ubuntu/+source/gnome-keyring/+bug/932177

"What happens is that if gnome-keyring components are not initialized
through XDG autostart any more they will be DBus-activated (see
https://live.gnome.org/GnomeKeyring/RunningDaemon). So when they start
adding back the autostart files for them the warnings will disappear
because there will be no DBus-activation but the SSH/GPG components
will not magically start working outside GNOME. So the only bug here
is that these people are trying to use GNOME keyring without
initializing it properly using the methods I've described before."

"Making it work is relatively simple starting with Xfce 4.10 you just
need to follow https://live.gnome.org/GnomeKeyring/Pam and enable
GNOME compat mode.
For Xfce 4.8 it is more complicated because xfce4-session would need
to be patched with backports of commit
0fea8c64bfc32915d9e397e7029de150167a737d and
67b772364c9e9a7ea9cc4dafb219902c6c8b074a in order to make GNOME compat
mode usable."




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 12 Jul 2012 02:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Corona <gabriel.corona@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 12 Jul 2012 02:00:06 GMT) Full text and rfc822 format available.

Message #121 received at 653011@bugs.debian.org (full text, mbox):

From: Gabriel Corona <gabriel.corona@enst-bretagne.fr>
To: 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 12 Jul 2012 03:50:10 +0200
Hello,

Same problem here using KDE. I'm trying to use p11-kit
(or gnome-keyring directly) to integrate gnome-keyring
keys into iceweasel.

It fails unless I enable the pkcs11 component of
gnome-keyring manually :

$ p11-kit -l
WARNING: gnome-keyring:: couldn't connect to:
/home/foobar/.cache/keyring-abcD9egh/pkcs11: No such file or directory
p11-kit: couldn't initialize registered modules: An error occurred on
the device

# Can't add the PKCS#11 driver (p11 or gnome-keyring) to iceweasel either


$ gnome-keyring-daemon --start --components=pkcs11,gpg,secrets
GNOME_KEYRING_CONTROL=/home/foobar/.cache/keyring-abcD9egh
GPG_AGENT_INFO=/home/foobar/.cache/keyring-abcD9egh/gpg:0:1
$ p11-kit -l
gnome-keyring-module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so
    library-description: GNOME Keyring Daemon Core
    library-manufacturer: GNOME Keyring
    library-version: 1.1
    token: SSH Keys
    [...]

# Now I can add a PKCS#11 module to iceweasel


I don't know if something should be done about this
(should I fill a separate bug ?).

-- 
Gabriel





Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#653011; Package gnome-keyring. (Thu, 12 Jul 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 653011@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 12 Jul 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #126 received at 653011@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Gabriel Corona <gabriel.corona@enst-bretagne.fr>, 653011@bugs.debian.org
Subject: Re: Bug#653011: gnome-keyring can't connect to pkcs11 file
Date: Thu, 12 Jul 2012 09:19:20 +0200
Le jeudi 12 juillet 2012 à 03:50 +0200, Gabriel Corona a écrit : 
> Hello,
> 
> Same problem here using KDE.

Of course it’s the same problem. The keyring daemon is not started by
default by KDE. Start it if you want to use it.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Merged 653011 654854 659036 679040 Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Mon, 16 Jul 2012 19:15:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:39:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.